<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Twig;

use Dedi\SyliusQuotePlugin\Calculator\QuoteTaxesCalculatorInterface;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class QuoteTaxesTotalExtension extends AbstractExtension
{
    private QuoteTaxesCalculatorInterface $quoteTaxesCalculator;

    public function __construct(QuoteTaxesCalculatorInterface $quoteTaxesCalculator)
    {
        $this->quoteTaxesCalculator = $quoteTaxesCalculator;
    }

    public function getFunctions(): iterable
    {
        return [
            new TwigFunction('dedi_quote_quote_tax_included', [$this->quoteTaxesCalculator, 'getIncludedTax']),
            new TwigFunction('dedi_quote_quote_tax_excluded', [$this->quoteTaxesCalculator, 'getExcludedTax']),
        ];
    }
}
